> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockscout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Account

> ?module=account

### `https://instance_base_url/api?module=account`

## Return balance from a provided block

`eth_get_balance`

Mimics Ethereum JSON RPC's eth\_getBalance

**Example:**

```javascript theme={null}
https://instance_base_url/api
   ?module=account
   &action=eth_get_balance
   &address={addressHash}
```

<Tabs>
  <Tab title="Request Params">
    | Parameter   | Description                                                                                                                                                                                                                                                 |
    | ----------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
    | **address** | `string` containing the address hash.                                                                                                                                                                                                                       |
    | block       | optional. Block number as a string, or `latest`, `earliest` or `pending` Latest is the latest balance in a *consensus* block. Earliest is the first recorded balance for the address. Pending is the latest balance in a consensus *or* nonconsensus block. |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "id": 1,
      "jsonrpc": "2.0",
      "result": "0x0234c8a3397aab58"
    }
    ```
  </Tab>
</Tabs>

## Get the native token balance for an address

`balance`

Many chains use their own native tokens. On Ethereum, this will return the result in "Ether", on Gnosis it will be "xDai", etc. Results are returned in wei.

**Example:**

```javascript theme={null}
https://instance_base_url/api
   ?module=account
   &action=balance
   &address={addressHash}
```

<Tabs>
  <Tab title="Request Params">
    | Parameter   | Description                           |
    | ----------- | ------------------------------------- |
    | **address** | `string` containing the address hash. |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "message": "OK",
      "result": "663046792267785498951364",
      "status": "1"
    }
    ```
  </Tab>
</Tabs>

<Info>
  Also available through a GraphQL `address` query.
</Info>

<Info>
  If the balance hasn't been updated recently, the node is double-checked to fetch the absolute latest balance. This will not be reflected in the current request, but once it is updated, subsequent requests will show the updated balance. If you want to know if there is a check for another balance, use the `balancemulti` action. That contains a property called `stale` that will let you know to recheck that balance in the near future.
</Info>

## Get balance for multiple addresses

`balancemulti`

**Example:**

```javascript theme={null}
https://instance_base_url/api
   ?module=account
   &action=balancemulti
   &address={addressHash1,addressHash2,addressHash3}
```

<Tabs>
  <Tab title="Request Params">
    | Parameter   | Description                                                                  |
    | ----------- | ---------------------------------------------------------------------------- |
    | **address** | `string` containing the address hash, comma separated. **Max 20 addresses.** |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "message": "OK",
      "result": [
        {
          "account": "0xddbd2b932c763ba5b1b7ae3b362eac3e8d40121a",
          "balance": "40807168566070000000000",
          "stale": true
        },
        {
          "account": "0x63a9975ba31b0b9626b34300f7f627147df1f526",
          "balance": "332567136222827062478",
          "stale": false
        },
        {
          "account": "0x198ef1ec325a96cc354c7266a038be8b5c558f67",
          "balance": "185178830000000000",
          "stale": false
        }
      ],
      "status": "1"
    }
    ```
  </Tab>
</Tabs>

<Info>
  Also available through a GraphQL 'addresses' query
</Info>

<Info>
  If the balance hasn't been updated in a long time, the node is double checked to fetch the absolute latest balance. This is not reflected in the current request, but once it is updated, subsequent requests will show the updated balance. The `stale` attribute will be set to `true` if a new balance is being fetched.
</Info>

## Get pending transactions by address

`pendingtxlist`

**Example:**

```javascript theme={null}
https://instance_base_url/api
   ?module=account
   &action=pendingtxlist
   &address={addressHash}
   &page=1
   &offset=5
```

<Tabs>
  <Tab title="Request Params">
    | Parameter   | Description                                                                                             |
    | ----------- | ------------------------------------------------------------------------------------------------------- |
    | **address** | `string` containing the address hash.                                                                   |
    | page        | optional `integer` representing the page number used for pagination. 'offset' must also be provided.    |
    | offset      | optional `integer` representing number of transactions returned per page. `page` must also be provided. |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "message": "OK",
      "result": [
        {
          "contractAddress": "",
          "cumulativeGasUsed": "122207",
          "from": "0x3fb1cd2cd96c6d5c0b5eb3322d807b34482481d4",
          "gas": "122261",
          "gasPrice": "50000000000",
          "gasUsed": "122207",
          "hash": "0x98beb27135aa0a25650557005ad962919d6a278c4b3dde7f4f6a3a1e65aa746c",
          "input": "0xf00d4b5d000000000000000000000000036c8cecce8d8bbf0831d840d7f29c9e3ddefa63000000000000000000000000c5a96db085dda36ffbe390f455315d30d6d3dc52",
          "nonce": "0",
          "to": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
          "value": "0"
        }
      ],
      "status": "1"
    }
    ```
  </Tab>
</Tabs>

## Get transactions by address

`txlist`

Maximum of 10,000 transactions. Also available through a GraphQL 'address' query. For faster results, specify a smaller block range to search using the `startblock` and `endblock` parameters

**Example:**

```javascript theme={null}
https://instance_base_url/api
   ?module=account
   &action=txlist
   &address={addressHash}
   &startblock=555555
   &endblock=666666
   &page=1
   &offset=5
   &sort=asc
```

<Tabs>
  <Tab title="Request Params">
    | Parameter        | Description                                                                                                                                                          |
    | ---------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
    | **address**      | `string` containing the address hash.                                                                                                                                |
    | sort             | optional sorting preference, `asc` for ascending and `desc` for descending. Descending is default.                                                                   |
    | startblock       | optional `integer` block number to start transaction search                                                                                                          |
    | endblock         | optional `integer` block number to stop transaction search.                                                                                                          |
    | page             | optional `integer` representing the page number used for pagination. `offset` must also be provided.                                                                 |
    | offset           | optional `integer` representing number of transactions returned per page. `page` must also be provided.                                                              |
    | filter\_by       | optional string representing the field to filter by. Values include `to` and `from`. If none provided returns transactions that match to, from, or contract address. |
    | start\_timestamp | optional starting block unix timestamp.                                                                                                                              |
    | end\_timestamp   | optional ending block unix timestamp.                                                                                                                                |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "message": "OK",
      "result": [
        {
          "blockHash": "0x373d339e45a701447367d7b9c7cef84aab79c2b2714271b908cda0ab3ad0849b",
          "blockNumber": "65204",
          "confirmations": "5994246",
          "contractAddress": "",
          "cumulativeGasUsed": "122207",
          "from": "0x3fb1cd2cd96c6d5c0b5eb3322d807b34482481d4",
          "gas": "122261",
          "gasPrice": "50000000000",
          "gasUsed": "122207",
          "hash": "0x98beb27135aa0a25650557005ad962919d6a278c4b3dde7f4f6a3a1e65aa746c",
          "input": "0xf00d4b5d000000000000000000000000036c8cecce8d8bbf0831d840d7f29c9e3ddefa63000000000000000000000000c5a96db085dda36ffbe390f455315d30d6d3dc52",
          "isError": "0",
          "methodId": "0xf00d4b5d",
          "nonce": "0",
          "timeStamp": "1439232889",
          "to": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
          "transactionIndex": "0",
          "txreceipt_status": "1",
          "value": "0"
        }
      ],
      "status": "1"
    }
    ```
  </Tab>
</Tabs>

## Get internal transactions

`txlistinternal`

Up to a maximum of 10,000 internal transactions. Also available through a GraphQL 'transaction' query. For faster results, specify a smaller block range to search using the start\_block and end\_block parameters.

**Example:**

```javascript theme={null}
https://instance_base_url/api
   ?module=account
   &action=txlistinternal
   &startblock=555555
   &endblock=666666
   &page=1
   &offset=5
   &sort=asc
   &include_zero_value=true
```

<Tabs>
  <Tab title="Request Params">
    | Parameter            | Description                                                                                                                                          |
    | -------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
    | **txhash**           | optional `string` representing the transaction hash to check for internal transactions                                                               |
    | address              | optional `string` containing the address hash.                                                                                                       |
    | sort                 | optional sorting preference, `asc` for ascending and `desc` for descending. Descending is default. **Only available if 'address' is provided.**      |
    | startblock           | optional `integer` block number to start transaction search. **Only available if 'address' is provided.**                                            |
    | endblock             | optional `integer` block number to stop transaction search. **Only available if 'address' is provided.**                                             |
    | page                 | optional `integer` representing the page number used for pagination. `offset` must also be provided. **Only available if 'address' is provided.**    |
    | offset               | optional `integer` representing number of transactions returned per page. `page` must also be provided. **Only available if 'address' is provided.** |
    | include\_zero\_value | optional `boolean` representing whether to include zero-value transactions.                                                                          |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "message": "OK",
      "result": [
        {
          "blockNumber": "6153702",
          "callType": "delegatecall",
          "contractAddress": "0x883103875d905c11f9ac7dacbfc16deb39655361",
          "errCode": "",
          "from": "0x2ca1e3f250f56f1761b9a52bc42db53986085eff",
          "gas": "814937",
          "gasUsed": "536262",
          "index": "0",
          "input": "",
          "isError": "0",
          "timeStamp": "1534362606",
          "to": "",
          "transactionHash": "0xd65b788c610949704a5f9aac2228c7c777434dfe11c863a12306f57fcbd8cdbb",
          "type": "call",
          "value": "5488334153118633"
        }
      ],
      "status": "1"
    }
    ```
  </Tab>
</Tabs>

## Get ERC-20 token transfer events by address

`tokentx`

Up to a maximum of 10,000 ERC-20 token transfer events. Also available through the GraphQL `token_transfers` query.

**Example:**

```javascript theme={null}
https://instance_base_url/api
   ?module=account
   &action=tokentx
   &address={addressHash}
   &page=1
   &offset=10
   &sort=asc
```

<Tabs>
  <Tab title="Request Params">
    | Parameter        | Description                                                                                                      |
    | ---------------- | ---------------------------------------------------------------------------------------------------------------- |
    | **address**      | required if no `contractaddress` parameter is provided, `string` containing the address hash.                    |
    | contract address | required if no `address` parameter is provided, `string` with the token contract address to identify a contract. |
    | sort             | optional sorting preference, `asc` for ascending and `desc` for descending. Descending is default.               |
    | startblock       | optional `integer` block number to start transaction search                                                      |
    | endblock         | optional `integer` block number to stop transaction search.                                                      |
    | page             | optional `integer` representing the page number used for pagination. `offset` must also be provided.             |
    | offset           | optional `integer` representing number of transactions returned per page. `page` must also be provided.          |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "message": "OK",
      "result": [
        {
          "blockHash": "0x6169c5dc05d0051564ba3eae8ebfbdefda640c5f5ffc095846b8aed0b44f64ea",
          "blockNumber": "5997843",
          "confirmations": "199384",
          "contractAddress": "0x9f8f72aa9304c8b593d555f12ef6589cc3a579a2",
          "cumulativeGasUsed": "1043649",
          "from": "0x4e83362442b8d1bec281594cea3050c8eb01311c",
          "gas": "44758",
          "gasPrice": "7000000000",
          "gasUsed": "37298",
          "hash": "0xd65b788c610949704a5f9aac2228c7c777434dfe11c863a12306f57fcbd8cdbb",
          "input": "0xa9059cbb00000000000000000000000021e21ba085289f81a86921de890eed30f1ad23750000000000000000000000000000000000000000000000008ac7230489e80000",
          "methodId": "0xa9059cbb",
          "nonce": "765",
          "timeStamp": "1532086946",
          "to": "0x21e21ba085289f81a86921de890eed30f1ad2375",
          "tokenDecimal": "18",
          "tokenName": "Maker",
          "tokenSymbol": "MKR",
          "transactionIndex": "27",
          "value": "10000000000000000000"
        }
      ],
      "status": "1"
    }
    ```
  </Tab>
</Tabs>

**Usage:**

* To fetch ERC-20 token transfers by address, specify `address` parameter
* To fetch ERC-20 token transfers by token, specify `contractaddress` parameter
* To fetch ERC-20 token transfers by address filtered by token, specify both `address` and `contractaddress` parameters

## Get ERC-721 token transfer events by address

`tokennfttx`

**Example:**

```javascript theme={null}
https://instance_base_url/api
   ?module=account
   &action=tokennfttx
   &address={addressHash}
   &page=1
   &offset=10
   &sort=asc
```

<Tabs>
  <Tab title="Request Params">
    | Parameter       | Description                                                                                                      |
    | --------------- | ---------------------------------------------------------------------------------------------------------------- |
    | **address**     | required if no `contractaddress` parameter is provided, `string` containing the address hash.                    |
    | contractaddress | required if no `address` parameter is provided, `string` with the token contract address to identify a contract. |
    | sort            | optional sorting preference, `asc` for ascending and `desc` for descending. Descending is default.               |
    | startblock      | optional `integer` block number to start transaction search                                                      |
    | endblock        | optional `integer` block number to stop transaction search.                                                      |
    | page            | optional `integer` representing the page number used for pagination. `offset` must also be provided.             |
    | offset          | optional `integer` representing number of transactions returned per page. `page` must also be provided.          |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "message": "OK",
      "result": [
        {
          "blockHash": "0xd033832ffd0480a3e3b16362320d4ea247e6905117eaa8741a845ac51bd51b1f",
          "blockNumber": "22895463",
          "confirmations": "13",
          "contractAddress": "0xb6bcaa0c71c90b26f4190418d77ad0b95f656f2c",
          "cumulativeGasUsed": "23511347",
          "from": "0xc8fb7aca6b31dc905647d31ac0383f5b30d9be31",
          "functionName": "transferFrom(address from, address to, uint256 id)",
          "gas": "108139",
          "gasPrice": "5596263013",
          "gasUsed": "71227",
          "hash": "0x76be4925c1a5f268c12a3ae7b60486293a96ebd28dc289064ca687708de46397",
          "input": "0x23b872dd000000000000000000000000c8fb7aca6b31dc905647d31ac0383f5b30d9be31000000000000000000000000d2a999bc8e4ea85131c1800e2a5c606d127533330000000000000000000000000000000000000000000000000000000000000445",
          "methodId": "0x23b872dd",
          "nonce": "376",
          "timeStamp": "1752231191",
          "to": "0xd2a999bc8e4ea85131c1800e2a5c606d12753333",
          "tokenDecimal": "0",
          "tokenID": "1093",
          "tokenName": "SpaceRush Bounty Hunters",
          "tokenSymbol": "SRB",
          "transactionIndex": "360"
        }
      ],
      "status": "1"
    }
    ```
  </Tab>
</Tabs>

**Usage:**

* To fetch ERC-721 token transfers by address, specify `address` parameter
* To fetch ERC-721 token transfers by token, specify `contractaddress` parameter
* To fetch ERC-721 token transfers by address filtered by token, specify both `address` and `contractaddress` parameters

## Get ERC-1155 token transfer events by address

`token1155tx`

**Example:**

```javascript theme={null}
https://instance_base_url/api
   ?module=account
   &action=token1155tx
   &address={addressHash}
   &page=1
   &offset=10
   &sort=asc
```

<Tabs>
  <Tab title="Request Params">
    | Parameter       | Description                                                                                                      |
    | --------------- | ---------------------------------------------------------------------------------------------------------------- |
    | address         | required if no `contractaddress` parameter is provided, `string` containing the address hash.                    |
    | contractaddress | required if no `address` parameter is provided, `string` with the token contract address to identify a contract. |
    | sort            | optional sorting preference, `asc` for ascending and `desc` for descending. Descending is default.               |
    | startblock      | optional `integer` block number to start transaction search                                                      |
    | endblock        | optional `integer` block number to stop transaction search.                                                      |
    | page            | optional `integer` representing the page number used for pagination. `offset` must also be provided.             |
    | offset          | optional `integer` representing number of transactions returned per page. `page` must also be provided.          |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "message": "OK",
      "result": [
        {
          "blockNumber": "22767293",
          "timeStamp": "1750683671",
          "hash": "0xe63f23bc2882dc083cf77c3a9a32efe62a2f045334232c92ed63716368eb56c9",
          "nonce": "332",
          "blockHash": "0x5960ef1fb1a3f424a90723238cf5d91a996cb7344f9ff613f00942ea4f7bcf31",
          "transactionIndex": "52",
          "gas": "198549",
          "gasPrice": "3662960410",
          "gasUsed": "150369",
          "cumulativeGasUsed": "8276535",
          "input": "deprecated",
          "methodId": "0xa64dfa75",
          "functionName": "multiConfigure(address token,tuple config)",
          "contractAddress": "0x81d5cedef14934957232e6673e1b37375e6ec5cd",
          "from": "0x0000000000000000000000000000000000000000",
          "to": "0xa6718ebedb87b85acfb39d8a02759f1be7cb01ed",
          "tokenID": "43",
          "tokenValue": "1",
          "tokenName": "Colored rombs",
          "tokenSymbol": "CR",
          "confirmations": "128226"
        }
      ],
      "status": "1"
    }
    ```
  </Tab>
</Tabs>

**Usage:**

* To fetch ERC-1155 token transfers by address, specify `address` parameter
* To fetch ERC-1155 token transfers by token, specify `contractaddress` parameter
* To fetch ERC-1155 token transfers by address filtered by token, specify both `address` and `contractaddress` parameters

## Get ERC-404 token transfer events by address

`token404tx`

**Example:**

```javascript theme={null}
https://instance_base_url/api
   ?module=account
   &action=token404tx
   &address={addressHash}
   &page=1
   &offset=10
   &sort=asc
```

<Tabs>
  <Tab title="Request Params">
    | Parameter       | Description                                                                                                      |
    | --------------- | ---------------------------------------------------------------------------------------------------------------- |
    | address         | required if no `contractaddress` parameter is provided, `string` containing the address hash.                    |
    | contractaddress | required if no `address` parameter is provided, `string` with the token contract address to identify a contract. |
    | sort            | optionalsorting preference, `asc` for ascending and `desc` for descending. Descending is default.                |
    | startblock      | optional `integer` block number to start transaction search                                                      |
    | endblock        | optional `integer` block number to stop transaction search.                                                      |
    | page            | optional`integer` representing the page number used for pagination. `offset` must also be provided.              |
    | offset          | optional `integer` representing number of transactions returned per page. `page` must also be provided.          |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "message": "OK",
      "result": [
        // ERC-20 like case
        {
          "blockHash": "0x600684206fd92aa22bf0d24e376fa0433bd7247178919e31d6c8c02a8a704e78",
          "blockNumber": "22895119",
          "confirmations": "532",
          "contractAddress": "0x9e9fbde7c7a83c43913bddc8779158f1368f0413",
          "cumulativeGasUsed": "2148253",
          "from": "0x0d0707963952f2fba59dd06f2b425ace40b492fe",
          "functionName": "transfer(address to, uint256 amount)",
          "gas": "3000000",
          "gasPrice": "4992772042",
          "gasUsed": "202651",
          "hash": "0x85eba6287c25630b0f2764954e15294937ef5a423727c2236223bfb6864d2c6f",
          "input": "0xa9059cbb00000000000000000000000028e0e453997430fa2168c7efc1899a2c110e53b500000000000000000000000000000000000000000000000028536338c182e000",
          "methodId": "0xa9059cbb",
          "nonce": "8218148",
          "timeStamp": "1752227039",
          "to": "0x28e0e453997430fa2168c7efc1899a2c110e53b5",
          "tokenDecimal": "0",
          "tokenID": "",
          "tokenName": "Pandora",
          "tokenSymbol": "PANDORA",
          "transactionIndex": "44",
          "value": "2905775280000000000"
        },
        // ERC-721 like case
        {
          "blockHash": "0x600684206fd92aa22bf0d24e376fa0433bd7247178919e31d6c8c02a8a704e78",
          "blockNumber": "22895119",
          "confirmations": "532",
          "contractAddress": "0x9e9fbde7c7a83c43913bddc8779158f1368f0413",
          "cumulativeGasUsed": "2148253",
          "from": "0x0000000000000000000000000000000000000000",
          "functionName": "transfer(address to, uint256 amount)",
          "gas": "3000000",
          "gasPrice": "4992772042",
          "gasUsed": "202651",
          "hash": "0x85eba6287c25630b0f2764954e15294937ef5a423727c2236223bfb6864d2c6f",
          "input": "0xa9059cbb00000000000000000000000028e0e453997430fa2168c7efc1899a2c110e53b500000000000000000000000000000000000000000000000028536338c182e000",
          "methodId": "0xa9059cbb",
          "nonce": "8218148",
          "timeStamp": "1752227039",
          "to": "0x28e0e453997430fa2168c7efc1899a2c110e53b5",
          "tokenDecimal": "0",
          "tokenID": "97956",
          "tokenName": "Pandora",
          "tokenSymbol": "PANDORA",
          "transactionIndex": "44",
          "value": ""
        }
      ],
      "status": "1"
    }
    ```
  </Tab>
</Tabs>

**Usage:**

* To fetch ERC-404 token transfers by address, specify `address` parameter
* To fetch ERC-404 token transfers by token, specify `contractaddress` parameter
* To fetch ERC-404 token transfers by address filtered by token, specify both `address` and `contractaddress` parameters

## Get token account balance for token contract address

`tokenbalance`

**Example:**

```javascript theme={null}
https://instance_base_url/api
   ?module=account
   &action=tokenbalance
   &contractaddress={contractAddressHash}
   &address={addressHash}
```

<Tabs>
  <Tab title="Request Params">
    | Parameter            | Description                                                           |
    | -------------------- | --------------------------------------------------------------------- |
    | **contract address** | `string` containing the contract address hash.                        |
    | **address**          | `string` containing the account address hash to retrieve balance for. |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "message": "OK",
      "result": "135499",
      "status": "1"
    }
    ```
  </Tab>
</Tabs>

## Get list of tokens owned by address

`tokenlist`

**Example:**

```javascript theme={null}
https://instance_base_url/api
   ?module=account
   &action=tokenlist
   &address={addressHash}
```

<Tabs>
  <Tab title="Request Params">
    | Parameter   | Description                                   |
    | ----------- | --------------------------------------------- |
    | **address** | `string` containing the account address hash. |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "message": "OK",
      "result": [
        {
          "balance": "135499",
          "contractAddress": "0x0000000000000000000000000000000000000000",
          "decimals": "18",
          "name": "Example Token",
          "symbol": "ET",
          "type": "ERC-20"
        },
        {
          "balance": "1",
          "contractAddress": "0x0000000000000000000000000000000000000001",
          "decimals": "18",
          "name": "Example ERC-721 Token",
          "symbol": "ET7",
          "type": "ERC-721"
        }
      ],
      "status": "1"
    }
    ```
  </Tab>
</Tabs>

## Get list of blocks mined by address

`getminedblocks`

**Example:**

```javascript theme={null}
https://instance_base_url/api
   ?module=account
   &action=getminedblocks
   &address={addressHash}
```

<Tabs>
  <Tab title="Request Params">
    | Parameter   | Description                                                                                             |
    | ----------- | ------------------------------------------------------------------------------------------------------- |
    | **address** | `string` containing the address hash.                                                                   |
    | page        | optional `integer` representing the page number used for pagination. 'offset' must also be provided.    |
    | offset      | optional `integer` representing number of transactions returned per page. `page` must also be provided. |
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "message": "OK",
      "result": [
        {
          "blockNumber": "3462296",
          "blockReward": "5194770940000000000",
          "timeStamp": "1491118514"
        }
      ],
      "status": "1"
    }
    ```
  </Tab>
</Tabs>

## Get a list of accounts and their balances

`listaccounts`

Lists accounts and native balances, sorted ascending by the time they were first seen by the explorer.

**Example:**

```javascript theme={null}
https://instance_base_url/api
   ?module=account
   &action=listaccounts
   &page=1
   &offset=3
```

<Tabs>
  <Tab title="Request Params">
    | Parameter | Description                                                                                             |
    | --------- | ------------------------------------------------------------------------------------------------------- |
    | page      | optional `integer` representing the page number used for pagination. 'offset' must also be provided.    |
    | offset    | optional `integer` representing number of transactions returned per page. `page` must also be provided. |

    <Info>
      If the balance hasn't been updated in a long time, the node is double checked to fetch the absolute latest balance. This is not reflected in the current request, but once it is updated, subsequent requests will show the updated balance. The `stale` attribute will be set to `true` if a new balance is being fetched.
    </Info>
  </Tab>

  <Tab title="Example Result">
    ```json theme={null}
    {
      "message": "OK",
      "result": [
        {
          "address": "0x3870c57fbf1d7e49b154269331c7bc66c64d8857",
          "balance": "3790064387342000000",
          "stale": false
        },
        {
          "address": "0x497d69ae30d7cca0aa84d647c6d85a59a82c16ef",
          "balance": "2047176464264000000",
          "stale": false
        },
        {
          "address": "0x9233042b8e9e03d5dc6454bbbe5aee83818ff103",
          "balance": "444111960222208758647",
          "stale": false
        }
      ],
      "status": "1"
    }
    ```
  </Tab>
</Tabs>
